﻿#index-scroll-go{
    position: absolute;
    bottom: 80px;
}
/*過場動畫*/

.dt-loading-2 {
    width: 100%;
    height: 100vh;
    display: table;
    position: fixed;
    top: 0;
    z-index: 99999;
    transition: all .4s linear;
    background-color: #FFF;
}

.laying-2 {
    width: 100%;
    display: table-cell;
    vertical-align: middle;
}

.loading-logo-box{
    width: 440px;
    max-width: 80vw;
    display: block;
    box-sizing: border-box;
    padding: 0 20px;
    position: relative;
    margin: 0 auto;
    overflow: hidden;
}
.loading-logo{
    width: 100%;
    display: block;
    position: relative;
}
.loading-logo-img{
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}
.loading-logo-img:nth-child(1){
    position: static;
    animation: loading_ani 2s ease 0s 1 both;
}
.loading-logo-img:nth-child(2){
    animation: loading_ani_2 1s ease 0.9s 1 both;
}
.loading-logo-img:nth-child(3){
    animation: loading_ani_2 1s ease 1s 1 both;
}
.loading-logo-img:nth-child(4){
    animation: loading_ani_2 1s ease 1.1s 1 both;
}
.loading-logo-img:nth-child(5){
    animation: loading_ani_2 1s ease 1.2s 1 both;
}
.loading-logo-img:nth-child(6){
    animation: loading_ani_2 1s ease 1.3s 1 both;
}
.loading-logo-img:nth-child(7){
    animation: loading_ani_2 1s ease 1.4s 1 both;
}

@keyframes loading_ani {
    0%{
        transform: translateY(-10px) translateX(10px);
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes loading_ani_2 {
    0%{
        transform: translateY(-10px);
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@media only screen and (max-height: 580px){

}


/*fancy-box*/

.fancybox-table,
.fancybox-table-member-js{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
}
.fancybox-table.active,
.fancybox-table-member-js.active{
    display: table;
}
.fancybox-table-mid{
    display: table-cell;
    vertical-align: middle;
}
.fancybox-box{
    width: 80vw;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 3;
}
.fancybox-article{
    max-height: calc(100vh - 100px);
    overflow: auto;
    background-color: #fff;
    box-sizing: border-box;
    padding: 30px;
}
.fancybox-video iframe{
    width: 100%;
    height: 70vh;
}

.fancybox-mask-box{
    width: 100%;
    height: 100%;
    display: block;
    background-color: rgba(0,0,0,0.6);
    position: fixed;
    top: 0;
    left: 0;
}
.fancybox-close{
    width: 40px;
    height: 40px;
    line-height: 40px;
    font-size: 20px;
    color: #000;
    text-align: center;
    position: absolute;
    top: 0;
    right: 0;
    background-color: #ddd;
    cursor: pointer;
    z-index: 3;
}
.body-close{
    overflow: hidden;

}
.body-close::-webkit-scrollbar{
    display:none;
}
.fancybox-block{
    width: 100%;
    max-height: 100vh;
    overflow: auto;

}
.fancybox-block::-webkit-scrollbar{
    display:none;
}


/*----------------------------*/

.rwd-menu-class-list{
    width: 100%;
    height: 46px;
    border: 1px solid #888;
    font-size: 16px;
    letter-spacing: 1px;
    text-align: center;
    display: none;
    line-height: 46px;
    position: relative;
    box-sizing: border-box;
}
.rwd-menu-class-list:after {
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 10px solid transparent;
    border-top: 10px solid #888;
    border-left: 10px solid transparent;
    display: block;
    position: absolute;
    bottom: calc(50% - 5px);
    right: 5%;
    box-sizing: border-box;
}
/*--------------confirm-block--------------*/
.confirm-block{    
    width: 100%;
    height: 100vh;
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
    display: -webkit-flex;
    display: flex;
}
.confirm-box{
    max-width: 500px;
    min-width: 200px;
    width: 400px;
    padding: 40px 30px;
    box-sizing: border-box;
    background-color: #fff;
    position: relative;
    z-index: 1;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4);
}
.confirm-info-box{
    position: relative;
}
.confirm-out{
    width: 20px;
    height: 20px;
    max-width: 100%;
    display: block;
    position: absolute;
    border-radius: 50%;
    border: 1px solid #FFF;
    top: 4%;
    right: 4%;
    cursor: pointer;
}
.confirm-out span{
    width: 15px;
    height: 1px;
    background-color: #FFF;
    display: block;
    margin: 0 auto;
    position: relative;
}
.confirm-out{
    z-index: 6;
}
.confirm-out span:nth-child(1){
    top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.confirm-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.confirm-info-title{
    font-size: 20px;
    margin-bottom: 10px;
    transform: scaleY(1.05);
}
.confirm-info-p {
    font-size: 16px;
    color: #555;
    margin-bottom: 10px;
    letter-spacing: 1px;
    transform: scaleY(1.05);
}
.confirm-info-p:last-child {
    margin-bottom: 0;
}
.confirm-status {
    text-align: center;
    width: 100%;
    display: block;
    margin-top: 20px;
}
.confirm-status-save, .confirm-status-no {
    width: 100px;
    max-width: 100%;
    display: inline-block;
    margin: 0 auto;
    transition: all .5s ease;
    cursor: pointer;
    background-color: inherit;
    color: #000;
    font-size: 14px;
    padding: 8px 0;
    letter-spacing: 1px;
    border: 1px solid #999;
    margin: 15px;
    outline: none;
}
.confirm-status-save:hover, 
.confirm-status-no:hover{
    background-color: #162148;
    color: #fff;
}

@media only screen and (max-width: 520px){

    .confirm-box{
        width: 95%;
        box-sizing: border-box;
        margin: 0 auto;
        padding: 30px 20px;
    }
    .confirm-info-p{
        font-size: 14px;
    }
}
/*--------------noInformation--------------*/
.noInformation{
    display: block;
    font-size: 16px;
}
#products .noInformation{
    text-align: center;
    margin-top: 20px;
}
#introduction .noInformation{
    text-align: center;
    margin-top: 20px;
}
#my-svg{
  fill-opacity: 0;
  transition: fill-opacity 1s;
}

#my-svg.finished * {
  fill-opacity: 1;
}


@media only screen and (max-height: 580px){
    .fancybox-video iframe{
        height: 50vh;
    }
    .fancybox-article{
        padding: 20px;
    }
}